# DeleteItemImage

Delete the image associated with an item.

`DELETE /api/v2/companies/{companyId}/items/{itemId}/images/{imageId}`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Items/DeleteItemImage/

## Description

Delete the image associated with an item.
            
Permanently deletes both the image and its association with the specified item.
This endpoint allows users to manage product visual representations by removing outdated or incorrect images,
and cleaning up unused resources in the system.
Once deleted, the image association cannot be recovered. To use the image again, it must be re-uploaded and
re-linked with the item.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID of the company. |
| `itemId` | integer | path | Yes | The unique ID of the item. |
| `imageId` | string | path | Yes | The unique ID of the image to delete. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |
| 500 | Server Error |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/images/{imageId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```